Doomsday Engine - Feature #1168

Real decals: bulletholes, blastmarks, etc.
2003-05-31 00:19 - skyjake

Status: New Start date: 2003-05-31

Priority: Normal % Done: 0%

Assignee:

Category: Redesign

Target version: Rendering Il

Description

grimreaper642 says: "I've played ZDoom and loved the

realistic decals (bloodsplats, bulletholes, blastmarks,

etc.). | was wondering if maybe you could add decals or

decal support similar that to the DoomsDay engine? It

would be a much better eye candy effect than the

particalized splats."

Labels: Graphics

Related issues:

Related to Feature #2195: Permanent blood (surface decal effect) New 2017-01-20
Related to Feature #1699: Particle renderer 2.0 New 2014-01-03
Related to Feature #7: Next-gen renderer (codename "Gloom") Progressed  2003-07-10

History

#1 - 2004-01-01 10:50 - gnam

Logged In: YES
user_id=792667

| agree. The particle blood is cool, but it would cooler if it
would swap to decals as it fades out so it can stay on the
wall without bogging down the particle generators.
Bulletholes (and burn holes) would also be nice for the
various projectiles.

On the subject of blood, getting the color right for each
creature would be nice (ie blue blood for cacodemon, green
for baron).

#2 - 2004-03-31 17:00 - papercut2
Logged In: YES
user_id=1566636

| disagree, I' a huge fan of the particle effects, as long

as your able to take the time to work with them. |
especially like the blood particles because they have a sort
of "gravity" or physics to them, as opposed to simply
appearing on the wall next to them. If you don't like the
round circle blood splats, get some textured particles.

Though bulletholes and blastmarks would be very cool, but if

there was a decent way to get it done with particles, |
would prefer the particle engine.

#3 - 2006-08-02 04:17 - badrad

Logged In: YES
user_id=816824

| agree on all of this!

#4 - 2014-07-21 08:02 - skyjake

- Tags set to ZDoom, Textures, Renderer
#5 - 2017-01-22 08:50 - skyjake
- Related to Feature #2195: Permanent blood (surface decal effect) added

#6 - 2017-01-22 08:51 - skyjake
- Category set to Redesign

- Target version set to Rendering

#7 - 2017-01-22 08:51 - skyjake
- Related to Feature #1699: Particle renderer 2.0 added

#8 - 2017-01-22 08:51 - skyjake

- Related to Feature #7: Next-gen renderer (codename "Gloom") added

#9 - 2017-04-03 19:35 - skyjake

- Target version changed from Rendering to Rendering I/
